Subject: Re: [PATCH] cdc_ncm: Implement the 32-bit version of NCM Transfer Block

From: Oliver Neukum <[email-masked]>
Date: Mon, 09 Mar 2020 11:17:02 +0100

Am Freitag, den 06.03.2020, 01:33 +0500 schrieb Alexander Bersenev:
> The NCM specification defines two formats of transfer blocks: with 16-bit
> fields (NTB-16) and with 32-bit fields (NTB-32). Currently only NTB-16 is
> implemented.
> 
> This patch adds the support of NTB-32. The motivation behind this is that
> some devices such as E5785 or E5885 from the current generation of Huawei
> LTE routers do not support NTB-16. The previous generations of Huawei
> devices are also use NTB-32 by default.
> 
> Also this patch enables NTB-32 by default for Huawei devices

Hi,

do you really see no other option but to make the choice with yet
anothet flag? The rest of the code looks good to me.

	Regards
		Oliver